/*
KrossWordPuzzle - A crossword playing game and editor for KDE4.
This file contains code for a dialog to convert a crossword.
Copyright (C) 2009     Friedrich P?lz <fpuelz@gmx.de>

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.?

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef CONVERTCROSSWORDDIALOG_H
#define CONVERTCROSSWORDDIALOG_H

#include "ui_convert_crossword_type.h"

using namespace Crossword;

/** A dialog to convert a crossword. */
class ConvertCrosswordDialog : public KDialog {
  Q_OBJECT

  public:
    ConvertCrosswordDialog( KrossWord *krossWord,
			    QWidget* parent = 0, Qt::WFlags flags = 0 );

    CrosswordTypeInfo crosswordTypeInfo() { return m_convertTypeInfo; };

  protected slots:
    void crosswordTypeChanged( int index );
    void crosswordTypeInfoChanged( const CrosswordTypeInfo &typeInfo );

  private:
    KrossWord *m_krossWord;
    Ui::convert_crossword_type ui_convert_crossword_type;

    CrosswordTypeInfo m_convertTypeInfo;
    bool m_changedUserDefinedSettings;
    int m_previousConvertToTypeIndex;
};

#endif // CONVERTCROSSWORDDIALOG_H
