/*
KrossWordPuzzle - A crossword playing game and editor for KDE4.
This file contains code for a dialog to move all cells of a crossword.
Copyright (C) 2009     Friedrich P?lz <fpuelz@gmx.de>

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.?

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef MOVECELLSDIALOG_H
#define MOVECELLSDIALOG_H

#include "ui_move_cells.h"

namespace Crossword {
  class KrossWord;
}
using namespace Crossword;

/** A dialog to move all cells of a crossword. */
class MoveCellsDialog : public KDialog {
  Q_OBJECT

  public:
    MoveCellsDialog( KrossWord *krossWord,
		     QWidget* parent = 0, Qt::WFlags flags = 0 );

    int moveHorizontal() const { return ui_move_cells.dx->value(); };
    int moveVertical() const { return ui_move_cells.dy->value(); };

  protected slots:
    void updateInfoText();

  private:
    KrossWord *m_krossWord;
    Ui::move_cells ui_move_cells;
};


#endif // MOVECELLSDIALOG_H
