/*
KrossWordPuzzle - A crossword playing game and editor for KDE4.
This file contains code for an extended QSqlTableModel.
Copyright (C) 2009     Friedrich Pülz <fpuelz@gmx.de>

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef EXTENDEDSQLTABLEMODEL_H
#define EXTENDEDSQLTABLEMODEL_H
#include <QSqlTableModel>

class ExtendedSqlTableModel : public QSqlTableModel {
    Q_OBJECT

    public:
	ExtendedSqlTableModel( QObject* parent = 0, QSqlDatabase db = QSqlDatabase() );

	void setLimit( int lowerLimit, int upperLimit );
	void removeLimit();

    protected:
	virtual QString selectStatement() const;

    private:
	int m_lowerLimit;
	int m_upperLimit;
};

#endif // EXTENDEDSQLTABLEMODEL_H
