/*
    KrossWordPuzzle - A crossword playing game and editor for KDE4.
    This file contains code for the crossword scene, which contains and draws
    all the crossword cells to views.
    Copyright (C) 2009     Friedrich P?lz <fpuelz@gmx.de>

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef KROSSWORDPUZZLESCENE_H
#define KROSSWORDPUZZLESCENE_H

#include <QGraphicsScene>

#include "krossword.h"
#include <qevent.h>

class KrossWordPuzzleScene : public QGraphicsScene {
    public:
        KrossWordPuzzleScene( Crossword::KrossWord *krossWord, QObject* parent = 0 )
		    : QGraphicsScene(parent),
		    m_krossWord(krossWord) {
	  addItem( m_krossWord );
	  setItemIndexMethod( NoIndex );
	};

        KrossWordPuzzleScene( QObject* parent = 0 )
		    : QGraphicsScene(parent),
		    m_krossWord(new Crossword::KrossWord()) {
	  addItem( m_krossWord );
	  setItemIndexMethod( NoIndex );
	};

	Crossword::KrossWord *krossWord() { return m_krossWord; };

    private:
	Crossword::KrossWord *m_krossWord;
};

#endif // KROSSWORDPUZZLESCENE_H