/*
    KrossWordPuzzle - A crossword playing game and editor for KDE4.
    This file contains code for rendering SVG elements, mostly from KReversi.
    Copyright (C) 2009     Friedrich P?lz <fpuelz@gmx.de>

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef KROSSWORD_RENDERER_H
#define KROSSWORD_RENDERER_H

#include <QPixmap>

class KSvgRenderer;
class KPixmapCache;

class KrosswordRenderer
{
    public:
	static KrosswordRenderer* self();

	void renderBackground( QPainter *p, const QRectF& r ) const;
	QPixmap background( const QSize &size ) const;
	void renderElement( QPainter *p, const QString& elementid,
		    const QRectF& r ) const;
	void renderElement( QPainter *p, const QString& elementid,
		    const QRectF& r, const QColor &alpha ) const;
	bool setTheme( const QString &fileName );

    private:
	// disable copy - it's singleton
	KrosswordRenderer();
	KrosswordRenderer( const KrosswordRenderer& );
	KrosswordRenderer& operator=( const KrosswordRenderer& );
	~KrosswordRenderer();

	/**
	*  Svg renderer instance
	*/
	KSvgRenderer *m_renderer;
	KPixmapCache *m_cache;
	QString m_themeFileName;
};

#endif // KROSSWORD_RENDERER_H