/*
    KrossWordPuzzle - A crossword playing game and editor for KDE4.
    This file contains code for a file system model that only displays
    directories and files in a specified directory.
    Copyright (C) 2009     Friedrich P?lz <fpuelz@gmx.de>

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.?

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef SUBFILESYSTEMPROXYMODEL_H
#define SUBFILESYSTEMPROXYMODEL_H

#include <QSortFilterProxyModel>
#include <QDir>

class QFileSystemModel;
class SubFileSystemProxyModel : public QSortFilterProxyModel {
  public:
    SubFileSystemProxyModel( QObject* parent = 0 );
    virtual ~SubFileSystemProxyModel();

    void setRootPath( const QString &rootPath );
    QString filePath( const QModelIndex &index ) const;
    void setFilter( QDir::Filter filter );
    QModelIndex indexForPath( const QString &path, int column = 0 ) const;

    virtual QModelIndex mapFromSource( const QModelIndex& sourceIndex ) const;
    virtual QModelIndex mapToSource( const QModelIndex& proxyIndex ) const;
    
  private:
    QFileSystemModel *m_fileSystemModel;
};

#endif // SUBFILESYSTEMPROXYMODEL_H
